import { z } from "zod";
import { createApiResponseSchema } from "./Factory";
const contactsListSchema = z.object({
  admin_notes: z.string(),
  created_at: z.number(),
  email: z.string(),
  full_name: z.string(),
  id: z.string(),
  message: z.string(),
  phone: z.string(),
  resolved_at: z.number(),
  resolved_by: z.string(),
  status: z.string(),
  updated_at: z.number(),
});

export const contactsListResponseSchema = z.object({
  contacts: z.array(contactsListSchema),
});
export const contactsApiResponse = createApiResponseSchema(
  contactsListResponseSchema,
);
export type TContact = z.infer<typeof contactsListSchema>;
export type TContactApiResponseSchema = z.infer<typeof contactsApiResponse>;
